## org.apache.aries.subsystem.core.archive
Class ExportPackageHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.ExportPackageHeader

All Implemented Interfaces:
  CapabilityHeader<ExportPackageHeader.Clause>, Header<ExportPackageHeader.Clause>

    public class ExportPackageHeader

extends Object
implements CapabilityHeader<ExportPackageHeader.Clause>

Nested Class Summary
`static class` `ExportPackageHeader.Clause`

Field Summary
`static String` `NAME`

Constructor Summary
`ExportPackageHeader(String value)`

Method Summary
`Collection<ExportPackageHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`List<ExportPackageCapability>` `toCapabilities(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### ExportPackageHeader

    public ExportPackageHeader(String value)

Method Detail

### getClauses

    public Collection<ExportPackageHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<ExportPackageHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<ExportPackageHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<ExportPackageHeader.Clause>`

### toCapabilities

    public List<ExportPackageCapability> toCapabilities(org.osgi.resource.Resource resource)

  Specified by:
    `toCapabilities` in interface `CapabilityHeader<ExportPackageHeader.Clause>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.